
<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Title</title>



</head>
<body>



<!--navbar-->
<nav th:fragment="navbar" class="navbar navbar-light bg-white">
    <a id="userLink9" th:href="'/users/'+${user.getId()}" class="navbar-brand">Profile page</a>
    <a id="homepageLink1" th:href="@{/homepage}" class="navbar-brand">Home page</a>
    <a id="searchLink1" th:href="@{/usersearch}" class="navbar-brand"> Search Birdies </a>
    <a id="adminLink1" th:if="${isAdmin}" th:href="@{/administration}" class="navbar-brand"> Administration </a>
    <a id="logoutLink9" th:href="@{/logout}" class="navbar-brand"> Log out </a>


    <!--    <form action="/usersearch" class="form-inline">-->
<!--        <div class="input-group">-->
<!--            <input type="text" class="form-control" aria-label="Recipient's username" aria-describedby="button-addon2" placeholder="Find bird lovers">-->
<!--            <div class="input-group-append">-->
<!--                <button class="btn btn-outline-primary" type="button" id="button-addon2" >-->
<!--                    <i class="fa fa-search"></i>-->
<!--                </button>-->
<!--            </div>-->
<!--        </div>-->
<!--    </form>-->
</nav>

<!--navbar/////-->






<!--commentsBlock-->
<div th:fragment="comments_block(commentsList)" th:each="comment:${commentsList}">
    <div class="d-flex justify-content-sm-start align-items-top">
        <div class="gedf-card" style="padding: 0px">
            <div class="d-flex justify-content-sm-start align-items-top">

                <div class="mr-2">
                    <img th:if="${comment.getUser().getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                    <img th:unless="${comment.getUser().getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${comment.getUser().getPhoto()}}">

                </div>
<!--tuuuuuuuuuuuuuuuk-->
                <div class="d-flex justify-content-between align-items-start" style="background: #eeeeee; padding: 10px">

                    <div class="ml-2" style="width: 150px">
                        <a id="userLink10" th:href="'/users/'+${comment.getUser().getId()}">
                        <div class="h6 m-0" href="#" th:text="${comment.getUser().getFirstName()}
                                         +' '+${comment.getUser().getLastName()}">JoroJoro
                        </div>
                        </a>
                        <div class="h7 m-0" href="#"
                             th:text="${comment.getCreatedAt().toString().substring(0,16)}">
                        </div>
                    </div>
<!---->
                    <div class="ml-2" style="width: 450px">
                        <div class="card-text" href="#" th:text="${comment.getCommentText()}">Comment text here
                        </div>
                    </div>
                </div>

            </div>


            <div class="card-body d-flex justify-content-between"
                 style="padding-left: 50px; padding-bottom: 0px; padding-top: 0px">
                <!--<a th:id="button1+${comment.getCommentId()}" onclick="likeComment(this)" style="color: blue" class="card-link"><i class="fa fa-gittip" style="color: blue"></i>-->
                    <!--<span th:id="commentLikeCount+${comment.getCommentId()}" th:text="${comment.getCommentLikes().size()}+' Likes'"> 380 likes</span></a>-->
                <a th:if="${comment.getCommentLikes().contains(user)}" th:class="button1+${comment.getCommentId()}" onclick="likeComment(this)" style="color: blue" class="card-link"><i class="fa fa-gittip" style="color: blue"></i>
                    <span th:class="commentLikeCount+${comment.getCommentId()}" th:text="${comment.getCommentLikes().size()}+' UnLike'"> 380 likes</span></a>

                <a th:unless="${comment.getCommentLikes().contains(user)}" th:class="button1+${comment.getCommentId()}" onclick="likeComment(this)" style="color: blue" class="card-link"><i class="fa fa-gittip" style="color: blue"></i>
                    <span th:class="commentLikeCount+${comment.getCommentId()}" th:text="${comment.getCommentLikes().size()}+' Like'"> 380 likes</span></a>



                <a id="replyLink1" style="color: blue" class="reply_button card-link"><i class="fa fa-mail-forward" style="color: blue"></i> Reply</a>
                <!--<a th:if="${comment.getUser().getId()==user.getId()}" style="color: blue" class="card-link"><i class="fa fa-pencil" style="color: blue"></i> Update</a>-->
                <a id="deleteComment2" th:if="${comment.getUser().getId()==user.getId() or isAdmin}" style="color: blue" th:href="'/homepage/comments/delete/'+${comment.getCommentId()}" class="card-link"><i class="fa fa-trash" style="color: blue"></i> Delete</a>
            </div>

            <form class="reply_box" style="display: none;" action="#"
                  th:action="'/homepage/'+${comment.getCommentId()}+'/replies/new'"
                  th:object="${replyDTO}" method="post">
                <div class="card-body">
                    <div class="tab-content" id="myTabContent2">
                        <div class="tab-pane fade show active" id="posts2" role="tabpanel"
                             aria-labelledby="posts-tab">

                            <div class="form-group">
                                <label class="sr-only" for="message">reply</label>
                                <textarea class="form-control" id="message2" rows="2"
                                          placeholder="Write your reply here."
                                          th:field="*{replyText}" required maxlength="2000"></textarea>
                            </div>

                        </div>

                    </div>


                    <div class="btn-toolbar justify-content-between">
                        <div class="btn-group">
                            <button id="submitCommentButton1" type="submit" class="btn btn-primary" value="Add post">share
                            </button>
                        </div>


                    </div>
                </div>
            </form>

        </div>


    </div>
    <!--replyesbeg-->
    <div th:each="reply:${comment.getOrderedList()}">
        <div class="d-flex justify-content-sm-start align-items-center">


            <div class="gedf-card" style="padding: 0px">
                <div class="d-flex justify-content-sm-start align-items-top">
                    <pre>        </pre>
                    <div class="mr-2">
                        <img th:if="${reply.getUser().getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                        <img th:unless="${reply.getUser().getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${reply.getUser().getPhoto()}}">
                    </div>
                    <div class="ml-2" style="width: 150px">
                        <a id="userLink10" th:href="'/users/'+${reply.getUser().getId()}">
                        <div class="h6 m-0" href="#"
                             th:text="${reply.getUser().getFirstName()}
                                         +' '
                                         +${reply.getUser().getLastName()}">JoroJoro
                        </div>
                        </a>
                        <div class="h7 m-0" href="#"
                             th:text="${reply.getCreatedAt().toString().substring(0,16)}">
                        </div>

                    </div>
                    <div class="ml-2" style="width: 400px;  background-color: #eeeeee">
                        <div class="card-text" href="#"
                             th:text="${reply.getReplyText()}">Reply text here
                        </div>
                    </div>
                </div>
                <div class="card-body d-flex justify-content-between"
                     style="padding-left: 100px; padding-bottom: 0px; padding-top: 0px">

                    <a th:unless="${reply.getReplyLikes().contains(user)}" th:id="button2+${reply.getReplyId()}" onclick="likeReply(this)"
                       class="card-link"><i class="fa fa-gittip" style="color: blue"></i>
                        <span th:id="replyLikeCount+${reply.getReplyId()}"
                              th:text="${reply.getReplyLikes().size()}+' Like'" style="color: blue"> 380 likes</span></a>
                    <a th:if="${reply.getReplyLikes().contains(user)}" th:id="button2+${reply.getReplyId()}" onclick="likeReply(this)"
                       class="card-link"><i class="fa fa-gittip" style="color: blue"></i>
                        <span th:id="replyLikeCount+${reply.getReplyId()}"
                              th:text="${reply.getReplyLikes().size()}+' UnLike'" style="color: blue"> 380 likes</span></a>



                    <!--<a th:if="${reply.getUser().getId()==user.getId()}" style="color: blue" class="card-link"><i class="fa fa-pencil" style="color: blue"></i> Update</a>-->
                    <a id="deleteCommentLink3" th:if="${reply.getUser().getId()==user.getId() or isAdmin}"
                       th:href="'/homepage/replies/delete/'+${reply.getReplyId()}" class="card-link" style="color: blue"><i class="fa fa-trash" style="color: blue"></i> Delete</a>
                </div>


            </div>


            <br>
        </div>
    </div>
    <!--repliesend-->
    <br>

</div>



<!--commentsBlock/////-->








</body>
</html>